Platform admin
POST /v1/admin/tenants
Create a new tenant.
Family: Platform admin · Operation ID: create_tenant
Access
Private platform operator API. Requires x-reacher-secret on the internal backend and explicit operator authorization. Workspace API keys cannot call this route.
Request body · application/json
{
"$ref": "#/components/schemas/AdminCreateTenantRequest",
"definition": {
"properties": {
"contact_email": {
"format": "email",
"type": "string"
},
"default_webhook_url": {
"nullable": true,
"type": "string"
},
"max_requests_per_day": {
"format": "int32",
"type": "integer"
},
"max_requests_per_hour": {
"format": "int32",
"type": "integer"
},
"max_requests_per_minute": {
"format": "int32",
"type": "integer"
},
"max_requests_per_second": {
"format": "int32",
"type": "integer"
},
"monthly_email_limit": {
"format": "int32",
"type": "integer"
},
"name": {
"type": "string"
},
"plan_tier": {
"type": "string"
},
"result_retention_days": {
"format": "int32",
"type": "integer"
},
"slug": {
"type": "string"
},
"webhook_signing_secret": {
"nullable": true,
"type": "string"
}
},
"required": [
"name",
"slug",
"contact_email"
],
"type": "object"
}
}Responses
201
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AdminTenant"
}
}
},
"description": "Tenant created"
}default
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorEnvelope"
}
}
},
"description": "Request error"
}